Package org.apache.aries.jax.rs.rest.management.schema

## Class BundleStateSchema

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.apache.aries.jax.rs.rest.management.schema.BundleStateSchema

    public class BundleStateSchema
    extends org.osgi.dto.DTO

### Field Summary

Fields
`int` `options`
`int` `state`

### Constructor Summary

Constructors
`BundleStateSchema()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BundleStateSchema` `build​(int state, int options)`

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### state

    public int state

#### options

    public int options

### Constructor Detail

#### BundleStateSchema

    public BundleStateSchema()

### Method Detail

#### build

    public static BundleStateSchema build​(int state,
                                          int options)